VPS License error: The license key is invalid inside a Proxmox VE

Created:

2016-11-16 13:09:38 UTC

Modified:

2017-08-08 13:43:42 UTC

0

Was this article helpful?


Have more questions?

Submit a request

VPS License error: The license key is invalid inside a Proxmox VE

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk 12.0 for Linux

Symptoms

Unable to install Plesk VPS license key inside a Proxmox VE:

Error: The license key is invalid. In order to use Plesk, please obtain and install a new valid license key.
The license key is intended only for use with Plesk operating inside the following virtual environments: Virtuozzo containers, VMWare, Microsoft Hyper-V, Xen, KVM, Virtuozzo Server, LXC, Docker.

The platform is detected as dedicated, according to instructions from this article .

Cause

Linux: This is Plesk internal issue with ID #PPPM-4826 that was fixed in Plesk Onyx.

Windows: This is Plesk internal issue with ID #PPPM-5488 that will be fixed in future product updates.

Resolution

Linux: Upgrade to the latest Plesk version

Windows: As a workaround for Plesk Onyx on any Windows server, use the following steps:

1. Create a backup of %plesk_bin%\\plesksrv.exe file

2. Download the custom fix attached

3. Unpack it and place plesksrv.exe file to %plesk_bin%

4. Restart plesksrv service:

net stop plesksrv /Y && net start plesksrv && net start poppassd

5. Re-activate Plesk with VPS license

Attachments:

Have more questions? Submit a request
Please sign in to leave a comment.